> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DeFi balance sheets (experimental)

> Returns Defi Balance Sheet records for specified DeFi protocols.</br> The data is being updated on an end-of-day frequency.</br> Results are ordered by tuple (`defi_protocol`, `block_height`).</br> To fetch the next page of results use the `next_page_url` JSON response field.



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /timeseries/defi-balance-sheets
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /timeseries/defi-balance-sheets:
    servers:
      - url: https://api.coinmetrics.io/v4
    get:
      tags:
        - Timeseries
      summary: DeFi balance sheets (experimental)
      description: >-
        Returns Defi Balance Sheet records for specified DeFi protocols.</br>
        The data is being updated on an end-of-day frequency.</br> Results are
        ordered by tuple (`defi_protocol`, `block_height`).</br> To fetch the
        next page of results use the `next_page_url` JSON response field.
      operationId: getDefiBalanceSheets
      parameters:
        - $ref: '#/components/parameters/DefiProtocols'
        - $ref: '#/components/parameters/StartTimeMutuallyExclusiveWithHeight'
        - $ref: '#/components/parameters/EndTimeMutuallyExclusiveWithHeight'
        - $ref: '#/components/parameters/StartHeightMutuallyExclusiveWithTime'
        - $ref: '#/components/parameters/EndHeightMutuallyExclusiveWithTime'
        - $ref: '#/components/parameters/StartInclusive'
        - $ref: '#/components/parameters/EndInclusive'
        - $ref: '#/components/parameters/Timezone'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PagingFrom'
        - $ref: '#/components/parameters/Pretty'
        - $ref: '#/components/parameters/Format'
        - $ref: '#/components/parameters/NextPageToken'
      responses:
        '200':
          $ref: '#/components/responses/DefiBalanceSheets'
        '400':
          $ref: '#/components/responses/DefiProtocolNotFound'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '414':
          $ref: '#/components/responses/UriTooLong'
      security:
        - api_key: []
      x-codeSamples:
        - lang: Shell
          label: Shell
          source: >
            curl --compressed
            "https://api.coinmetrics.io/v4/timeseries/defi-balance-sheets?defi_protocols=aave_v2_eth&api_key=<your_key>"
        - lang: Python
          label: Python
          source: >
            import requests

            response =
            requests.get('https://api.coinmetrics.io/v4/timeseries/defi-balance-sheets?defi_protocols=aave_v2_eth&api_key=<your_key>').json()

            print(response)
        - lang: Python
          label: Python Client
          source: >
            from coinmetrics.api_client import CoinMetricsClient

            client = CoinMetricsClient(<your_key>)


            response =
            client.get_defi_balance_sheets(defi_protocols="aave_v2_eth").to_list()

            print(response)
components:
  parameters:
    DefiProtocols:
      description: >-
        Comma separated list of DeFi protocols like `aave_v2_eth` or protocol
        patterns like `aave_v2_*` or `aave_*_eth` or `*_eth`.
      in: query
      name: defi_protocols
      required: true
      schema:
        type: array
        items:
          type: string
      explode: false
    StartTimeMutuallyExclusiveWithHeight:
      description: >-
        Start of the time interval.<br/> This field refers to the `time` field
        in the response.<br/> Multiple formats of ISO 8601 are supported:
        `2006-01-20T00:00:00Z`, `2006-01-20T00:00:00.000Z`,
        `2006-01-20T00:00:00.123456Z`, `2006-01-20T00:00:00.123456789Z`,
        `2006-01-20`, `20060120`.<br/> Inclusive by default. Mutually exclusive
        with `start_height`.<br/> UTC timezone by default. `Z` suffix is
        optional and `timezone` parameter has a priority over it.<br/> If
        `start_time` is omitted, response will include time series from the
        **earliest** time available.
      in: query
      name: start_time
      schema:
        type: string
    EndTimeMutuallyExclusiveWithHeight:
      description: >-
        End of the time interval.<br/> This field refers to the `time` field in
        the response.<br/> Multiple formats of ISO 8601 are supported:
        `2006-01-20T00:00:00Z`, `2006-01-20T00:00:00.000Z`,
        `2006-01-20T00:00:00.123456Z`, `2006-01-20T00:00:00.123456789Z`,
        `2006-01-20`, `20060120`.<br/> Inclusive by default. Mutually exclusive
        with `end_height`.<br/> UTC timezone by default. `Z` suffix is optional
        and `timezone` parameter has a priority over it.<br/> If `end_time` is
        omitted, response will include time series up to the **latest** time
        available.
      in: query
      name: end_time
      schema:
        type: string
    StartHeightMutuallyExclusiveWithTime:
      description: >-
        The start height indicates the beginning block height for the set of
        data that are returned.<br/> Inclusive by default. Mutually exclusive
        with `start_time`.
      in: query
      name: start_height
      schema:
        type: integer
        format: int64
        minimum: 0
    EndHeightMutuallyExclusiveWithTime:
      description: >-
        The end height indicates the ending block height for the set of data
        that are returned.<br/> Inclusive by default. Mutually exclusive with
        `end_time`.
      in: query
      name: end_height
      schema:
        type: integer
        format: int64
        minimum: 0
    StartInclusive:
      description: Inclusive or exclusive corresponding `start_*` parameters.
      in: query
      name: start_inclusive
      schema:
        default: true
        type: boolean
    EndInclusive:
      description: Inclusive or exclusive corresponding `end_*` parameters.
      in: query
      name: end_inclusive
      schema:
        default: true
        type: boolean
    Timezone:
      description: >-
        Timezone name for `start_time` and `end_time` timestamps.<br/> This
        parameter does not modify the output times, which are always `UTC`.<br/>
        Format is defined by [TZ
        database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones).
      in: query
      name: timezone
      schema:
        example: America/New_York
        default: UTC
        type: string
    PageSize:
      description: >-
        Number of items per single page of results.<br/> The value of this
        parameter is ignored if the endpoint supports the `format` parameter and
        its value is set to `json_stream`.
      in: query
      name: page_size
      schema:
        default: 100
        type: integer
        format: int32
        minimum: 1
        maximum: 10000
    PagingFrom:
      description: >-
        Where does the first page start, at the start of the interval or at the
        end.<br/> The value of this parameter is ignored if the endpoint
        supports the `format` parameter and its value is set to `json_stream`.
      in: query
      name: paging_from
      schema:
        default: end
        enum:
          - start
          - end
        type: string
        format: PagingFrom
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
    Format:
      description: Format of the response.
      in: query
      name: format
      schema:
        enum:
          - json
          - csv
        type: string
        default: json
    NextPageToken:
      description: >-
        Token for receiving the results from the next page of a query.<br/>
        Should not be used directly. To iterate through pages just use
        `next_page_url` response field.
      in: query
      name: next_page_token
      schema:
        type: string
  responses:
    DefiBalanceSheets:
      description: DeFi balance sheets.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DefiBalanceSheetsResponse'
          example:
            data:
              - defi_protocol: aave_v2_eth
                block_height: '15656731'
                time: '2022-10-02T00:00:00.000000000Z'
                assets_total_usd: '5457689622.84'
                assets_total_count: '34'
                assets:
                  - asset: 1inch
                    balance_units: '16674724.15'
                    balance_usd: '9580408.36'
                    share: '0.001755'
                  - asset: aave
                    balance_units: '1743338.27'
                    balance_usd: '129832512.22'
                    share: '0.023789'
                liabilities_total_usd: '5458419619.21'
                liabilities_total_count: '34'
                liabilities:
                  - asset: 1inch
                    balance_units: '16674705.4'
                    balance_usd: '9580397.58'
                    share: '0.001755'
                  - asset: aave
                    balance_units: '1743338.27'
                    balance_usd: '129832512.22'
                    share: '0.023786'
                loans_lent_total_usd: '1531826827.01'
                tvl_total_usd: '3925862795.83'
                net_working_capital: '-1532556823.38'
                protocol_utilization_ratio: '0.28'
                liquid_supply_ratio: '0.72'
                current_ratio: '0.72'
                debt_to_assets_ratio: '1'
            next_page_token: 0.MTUwMjYyMzI
            next_page_url: >-
              https://api.coinmetrics.io/v4/timeseries/defi-balance-sheets?api_key=<your_key>&defi_protocols=aave_v2_eth&next_page_token=0.MTUwMjYyMzI
    DefiProtocolNotFound:
      content:
        application/json:
          example:
            error:
              type: bad_parameter
              message: >-
                Bad parameter 'defi_protocols'. Value 'sdvwbtc' is not
                supported.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: DeFi protocol not found.
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      content:
        application/json:
          example:
            error:
              type: forbidden
              message: >-
                Requested metric 'SplyBMXNtv' with frequency '1d' for asset
                'btc' is not available with supplied credentials.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Requested resource is not available with supplied credentials.
    UriTooLong:
      description: Provided URI is too long. It must not be greater than 10000 symbols.
  schemas:
    DefiBalanceSheetsResponse:
      description: DeFi balance sheets response.
      properties:
        data:
          $ref: '#/components/schemas/DefiBalanceSheets'
        next_page_token:
          $ref: '#/components/schemas/NextPageToken'
        next_page_url:
          $ref: '#/components/schemas/NextPageUrl'
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    DefiBalanceSheets:
      type: array
      items:
        $ref: '#/components/schemas/DefiBalanceSheet'
    NextPageToken:
      description: Token of the next page results for a given request.
      type: string
    NextPageUrl:
      description: URL of the next page results for a given request.
      type: string
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
    DefiBalanceSheet:
      properties:
        defi_protocol:
          $ref: '#/components/schemas/DefiProtocol'
        block_height:
          $ref: '#/components/schemas/DefiBalanceSheetBlockHeight'
        time:
          $ref: '#/components/schemas/DefiBalanceSheetTime'
        assets_total_usd:
          $ref: '#/components/schemas/DefiBalanceSheetAssetsTotalUsd'
        assets_total_count:
          $ref: '#/components/schemas/DefiBalanceSheetAssetsTotalCount'
        liabilities_total_usd:
          $ref: '#/components/schemas/DefiBalanceSheetLiabilitiesTotalUsd'
        liabilities_total_count:
          $ref: '#/components/schemas/DefiBalanceSheetLiabilitiesTotalCount'
        loans_lent_total_usd:
          $ref: '#/components/schemas/DefiBalanceSheetLoansLentTotalUsd'
        tvl_total_usd:
          $ref: '#/components/schemas/DefiBalanceSheetTvlTotalUsd'
        net_working_capital_usd:
          $ref: '#/components/schemas/DefiBalanceSheetNetWorkingCapitalUsd'
        protocol_utilization_ratio:
          $ref: '#/components/schemas/DefiBalanceSheetProtocolUtilizationRatio'
        liquid_supply_ratio:
          $ref: '#/components/schemas/DefiBalanceSheetLiquidSupplyRatio'
        current_ratio:
          $ref: '#/components/schemas/DefiBalanceSheetCurrentRatio'
        debt_to_assets_ratio:
          $ref: '#/components/schemas/DefiBalanceSheetDebtToAssetRatio'
        assets:
          $ref: '#/components/schemas/DefiBalanceSheetAssets'
        liabilities:
          $ref: '#/components/schemas/DefiBalanceSheetLiabilities'
      required:
        - defi_protocol
        - block_height
        - time
        - assets_total_usd
        - assets_total_count
        - liabilities_total_usd
        - liabilities_total_count
        - loans_lent_total_usd
        - tvl_total_usd
        - net_working_capital_usd
        - assets
        - liabilities
    DefiProtocol:
      description: DeFi protocol name (e.g. `aave_v2_eth` or `uniswap_v3_eth`).
      type: string
    DefiBalanceSheetBlockHeight:
      description: The block height at which this DeFi balance sheet is calculated.
      type: string
      format: int64
    DefiBalanceSheetTime:
      description: >-
        The time near or equal to the block creation time this DeFi balance
        sheet is calculated at. The time in ISO 8601 date-time format. Always
        with nanoseconds precision.
      type: string
      format: date-time
    DefiBalanceSheetAssetsTotalUsd:
      description: Total USD value of all assets in the DeFi balance sheet.
      type: string
      format: decimal
    DefiBalanceSheetAssetsTotalCount:
      description: Total count of all assets in the DeFi balance sheet.
      type: string
      format: int64
    DefiBalanceSheetLiabilitiesTotalUsd:
      description: Total USD value of all liabilities in the DeFi balance sheet.
      type: string
      format: decimal
    DefiBalanceSheetLiabilitiesTotalCount:
      description: Total count of all liabilities in the DeFi balance sheet.
      type: string
      format: int64
    DefiBalanceSheetLoansLentTotalUsd:
      description: Total USD value of loans lent in the DeFi balance sheet.
      type: string
      format: decimal
    DefiBalanceSheetTvlTotalUsd:
      description: Total USD value of TVL in the DeFi balance sheet.
      type: string
      format: decimal
    DefiBalanceSheetNetWorkingCapitalUsd:
      description: DeFi balance sheet net working capital USD value.
      type: string
      format: decimal
    DefiBalanceSheetProtocolUtilizationRatio:
      description: DeFi balance sheet protocol utilization ratio.
      type: string
      format: decimal
    DefiBalanceSheetLiquidSupplyRatio:
      description: DeFi balance sheet liquid supply ratio.
      type: string
      format: decimal
    DefiBalanceSheetCurrentRatio:
      description: DeFi balance sheet current ratio.
      type: string
      format: decimal
    DefiBalanceSheetDebtToAssetRatio:
      description: DeFi balance sheet debt to asset.
      type: string
      format: decimal
    DefiBalanceSheetAssets:
      description: DeFi balance sheet assets.
      type: array
      items:
        $ref: '#/components/schemas/DefiBalanceSheetAssetItem'
    DefiBalanceSheetLiabilities:
      description: DeFi balance sheet liabilities.
      type: array
      items:
        $ref: '#/components/schemas/DefiBalanceSheetLiabilityItem'
    DefiBalanceSheetAssetItem:
      description: DeFi balance sheet asset item.
      properties:
        asset:
          $ref: '#/components/schemas/Asset'
        total_units:
          $ref: '#/components/schemas/DefiBalanceSheetItemBalanceUnits'
        loans_lent_units:
          $ref: '#/components/schemas/DefiBalanceSheetItemBalanceUnits'
        tvl_units:
          $ref: '#/components/schemas/DefiBalanceSheetItemBalanceUnits'
        total_usd:
          $ref: '#/components/schemas/DefiBalanceSheetItemBalanceUsd'
        loans_lent_usd:
          $ref: '#/components/schemas/DefiBalanceSheetItemBalanceUsd'
        tvl_usd:
          $ref: '#/components/schemas/DefiBalanceSheetItemBalanceUsd'
        total_share:
          $ref: '#/components/schemas/DefiBalanceSheetItemShare'
        loans_lent_share:
          $ref: '#/components/schemas/DefiBalanceSheetItemShare'
        tvl_share:
          $ref: '#/components/schemas/DefiBalanceSheetItemShare'
      required:
        - asset
        - total_units
    DefiBalanceSheetLiabilityItem:
      description: DeFi balance sheet liability item.
      properties:
        asset:
          $ref: '#/components/schemas/Asset'
        total_units:
          $ref: '#/components/schemas/DefiBalanceSheetItemBalanceUnits'
        total_usd:
          $ref: '#/components/schemas/DefiBalanceSheetItemBalanceUsd'
        total_share:
          $ref: '#/components/schemas/DefiBalanceSheetItemShare'
      required:
        - asset
        - total_units
    Asset:
      description: Name of the asset.
      type: string
    DefiBalanceSheetItemBalanceUnits:
      description: Balance units value.
      type: string
      format: decimal
    DefiBalanceSheetItemBalanceUsd:
      description: Balance USD value.
      type: string
      format: decimal
    DefiBalanceSheetItemShare:
      description: The percentage that this item represents relative to the total value.
      type: string
      format: decimal
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````